Bug 261821 - Debian patches not applied + 2 interesting patches from CVS
Debian patches not applied + 2 interesting patches from CVS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lesstif (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 18:06 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 15:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix a grave bug in resource merging (896 bytes, patch)
2007-08-28 18:06 EDT, Hans de Goede
no flags Details | Diff
Fix ossible printing of text outside widget area (1.55 KB, patch)
2007-08-28 18:07 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2007-08-28 18:06:12 EDT
Hi,

I've been working to get an app that only works with openmotif to work with
lesstif. During this work I found out that the debian patch which is part of the
SRPM never gets applied. Well it does get applied, but that only results in the
creation of a debian dir, in that dir is a patches dir and there are the actual
debian patches and these never get applied.

Atleast the following 2 patches from debian seem interesting:
020_xpmpipethrough.diff
021_xim_chained_list_crash.diff
030_manpage.diff


---

During this same investigation I also found 2 patches in upstream CVS which are
interesting, one fixes the possible printing of text outside a widgets area, the
other fixes a grave bug (inverted check) in resource merging. I think it is a
good idea to include both in the Fedora package.
Comment 1 Hans de Goede 2007-08-28 18:06:12 EDT
Created attachment 177401 [details]
Fix a grave bug in resource merging
Comment 2 Hans de Goede 2007-08-28 18:07:17 EDT
Created attachment 177421 [details]
Fix ossible printing of text outside widget area
Comment 3 Kevin Fenzi 2007-08-28 18:57:29 EDT
Humm... no idea why I was assigned this bug. 
Reassigning to the lesstif package maintainer. 
Comment 4 Patrice Dumas 2007-08-29 18:38:05 EDT
Hans, you can go ahead and apply the patches you judge to be 
right. It may take some time for me to do it.
Comment 5 Patrice Dumas 2007-08-29 18:41:38 EDT
Also i think that it would be right to apply the debian patches
using patch from within the spec file instead of adding the
patches as regular Patches:.
Comment 6 Hans de Goede 2007-08-30 15:46:45 EDT
Done, closing.

Note You need to log in before you can comment on or make changes to this bug.